<?php
/*
Plugin Name: Podkite WP
Plugin URI:  https://podkite.com
Description: Adds support for Podkite features.
Version:     1.1
Author:      Podkite
Author URI:  https://podkite.com
License:     GPL2
License URI: https://podkite.com/terms

(Podkite WP) is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
*/

function callback_for_setting_up_scripts() {
  wp_enqueue_script( 'podkite-embedded', 'https://embed.podkite.com/v1/loader.js', false );
}
add_action('wp_enqueue_scripts', 'callback_for_setting_up_scripts');
add_action('admin_enqueue_scripts', 'callback_for_setting_up_scripts');


function podkite_filter_tiny_mce_before_init( $options ) {
  
  if ( ! isset( $options['extended_valid_elements'] ) ) {
    $options['extended_valid_elements'] = '';
  } else {
    $options['extended_valid_elements'] .= ',';
  }
  
  if ( ! isset( $options['custom_elements'] ) ) {
    $options['custom_elements'] = '';
  } else {
    $options['custom_elements'] .= ',';
  }
  
  $options['extended_valid_elements'] .= 'podkite-player[kitelink|compact|simple|track-downloads|class|id|style]';
  $options['custom_elements']         .= 'podkite-player[kitelink|compact|simple|track-downloads|class|id|style]';

  $options['extended_valid_elements'] .= 'podkite-reviews[min-rating|api-key|account-podcast-id|limit|font-color|secondary-font-color|background-color|label|class|id|style]';
  $options['custom_elements'] .= 'podkite-reviews[min-rating|api-key|account-podcast-id|limit|font-color|secondary-font-color|background-color|label|class|id|style]';

  return $options;
}
add_filter('tiny_mce_before_init', 'podkite_filter_tiny_mce_before_init');

?>
